%% This file is ut-thesis.cls
%%
%% Copyright 2009 by Ali Katanforoush
%%
%%%% It may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version 1.3c
%% of this license or (at your option) any later version.
%%
%% This file is xepersian-thesis.cls (Modified version of report.cls)
%%
%% Copyright 2009 by Vafa Khalighi
%%
%%%% It may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version 1.3c
%% of this license or (at your option) any later version.
%%
%%
%% This is file `report.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% classes.dtx  (with options: `report')
%% 
%% This is a generated file.
%% 
%% Copyright 1993 1994 1995 1996 1997 1998 1999 2000 2001 2002 2003 2004 2005 2006
%% The LaTeX3 Project and any individual authors listed elsewhere
%% in this file.
%% 
%% This file was generated from file(s) of the LaTeX base system.
%% --------------------------------------------------------------
%% 
%% It may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version 1.3c
%% of this license or (at your option) any later version.
%% The latest version of this license is in
%%    http://www.latex-project.org/lppl.txt
%% and version 1.3c or later is part of all distributions of LaTeX
%% version 2005/12/01 or later.
%% 
%% This file has the LPPL maintenance status "maintained".
%% 
%% This file may only be distributed together with a copy of the LaTeX
%% base system. You may however distribute the LaTeX base system without
%% such generated files.
%% 
%% The list of all files belonging to the LaTeX base distribution is
%% given in the file `manifest.txt'. See also `legal.txt' for additional
%% information.
%% 
%% The list of derived (unpacked) files belonging to the distribution
%% and covered by LPPL is defined by the unpacking scripts (with
%% extension .ins) which are part of the distribution.
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{ut-thesis}
              [2009/06/16 v0.1
 The university of Tehran thesis document class in XeLaTeX (Author: Ali Katanforoush)]
\providecommand{\dissfileversion}{0.1}
\providecommand{\dissfiledate}{2009/06/16}

\newcommand\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagetrue
\newif\if@openright
\newif\ifdiss@draft             \diss@drafttrue
\newif\ifdiss@review            \diss@reviewfalse
\newif\ifdiss@final             \diss@finalfalse
\newif\ifinfo@page              \info@pagetrue
\newif\ifdiss@dedication        \diss@dedicationfalse
\newif\ifnum@refs               \num@refstrue
\newif\ifcentered@chaptitle     \centered@chaptitletrue
\DeclareOption{draft}{
    \setlength\overfullrule{5pt}
    \typeout{DRAFT MODE}\typeout{}\info@pagefalse%
    \diss@drafttrue\diss@reviewfalse\diss@finalfalse }
\DeclareOption{review}{
    \typeout{REVIEW MODE}\typeout{}\info@pagetrue%
    \diss@draftfalse\diss@reviewtrue\diss@finalfalse }
\DeclareOption{final}{
    \setlength\overfullrule{0pt}
    \typeout{FINAL MODE}\typeout{}\info@pagetrue%
    \diss@draftfalse\diss@reviewfalse\diss@finaltrue }
\DeclareOption{numrefs}{
  \typeout{NUMBERED REFERENCES}\num@refstrue}
\DeclareOption{textrefs}{
  \typeout{TEXTUAL REFERENCES}\num@refsfalse}
\if@compatibility
  \renewcommand\@ptsize{0}
\else
\DeclareOption{10pt}{\renewcommand\@ptsize{0}}
\fi
\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
\DeclareOption{12pt}{\renewcommand\@ptsize{2}}
\if@compatibility\else
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\fi
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{titlepage}{\@titlepagetrue}
\if@compatibility\else
\DeclareOption{notitlepage}{\@titlepagefalse}
\fi
\if@compatibility
\else
\DeclareOption{openright}{\@openrighttrue}
\DeclareOption{openany}{\@openrightfalse}
\fi
\if@compatibility\else
\DeclareOption{onecolumn}{\@twocolumnfalse}
\fi
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{%
%   \PassOptionsToPackage{openbib}{natbib}
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}
\DeclareOption*{\ClassWarning{ut-thesis}%
    {UnknownOption `\CurrentOption'} }%
\ExecuteOptions{12pt,review,oneside,onecolumn,openany}
\ProcessOptions\relax

% \renewcommand{\singlwspacing}{\renewcommand\baselinestretch{1}}
% \renewcommand{\onehalfspacing}{\renewcommand\baselinestretch{1.5}}
% \renewcommand{\doublespacing}{\renewcommand\baselinestretch{2}}
\RequirePackage{setspace}

\if@twoside
  \def\ps@headings{%
      \let\@oddfoot\@empty\let\@evenfoot\@empty
      \def\@evenhead{\rl\thepage\hfil\rl\leftmark}%
      \def\@oddhead{\rl\rightmark\hfil\rl\thepage}%
      \let\@mkboth\markboth
    \def\chaptermark##1{%
      \markboth {\MakeUppercase{%
        \ifnum \c@secnumdepth >\m@ne
            \rl{\@chapapp\ \thechapter. \ }%
        \fi
        \rl{##1}}}{}}%
    \def\sectionmark##1{%
      \markright {\MakeUppercase{%
        \ifnum \c@secnumdepth >\z@
          \rl{\thesection. \ }%
        \fi
        \rl{##1}}}}}
\else
  \def\ps@headings{%
    \let\@oddfoot\@empty
    \def\@oddhead{\rl\rightmark\hfil\rl\thepage}%
    \let\@mkboth\markboth
    \def\chaptermark##1{%
      \markright {\MakeUppercase{%
        \ifnum \c@secnumdepth >\m@ne
            \rl{\@chapapp\ \thechapter. \ }%
        \fi
        \rl{##1}}}}}
\fi
\def\ps@myheadings{%
    \let\@oddfoot\@empty\let\@evenfoot\@empty
    \def\@evenhead{\rl\thepage\hfil\rl\leftmark}%
    \def\@oddhead{rl\rightmark\hfil\rl\thepage}%
    \let\@mkboth\@gobbletwo
    \let\chaptermark\@gobble
    \let\sectionmark\@gobble
    }
\ifdiss@final
%   \RequirePackage{hypernat}
%   \RequirePackage[dvipdfm,xetex,colorlink=true,linktocpage=true]{hyperref}
\fi
\ifnum@refs
%   \RequirePackage[numbers,sort&compress]{natbib}
\else
%   \RequirePackage[authoryear,sort]{natbib}
\fi
% \RequirePackage{index}
% \RequirePackage[toc]{glossaries}

\input{size1\@ptsize.clo}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}

\if@titlepage
  \newcommand\maketitle{\begin{titlepage}%
  \let\footnotesize\small
  \let\footnoterule\relax
  \let \footnote \thanks
  \null\vfil
  \vskip 60\p@
  \begin{center}%
    {\LARGE \@title \par}%
    \vskip 3em%
    {\large
     \lineskip .75em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
      \vskip 1.5em%
    {\large \@date \par}%       % Set date in \large size.
  \end{center}\par
  \@thanks
  \vfil\null
  \end{titlepage}%
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}
\else
\renewcommand\maketitle{\par
  \begingroup
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@1.8em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
    \if@twocolumn
      \ifnum \col@number=\@ne
        \@maketitle
      \else
        \twocolumn[\@maketitle]%
      \fi
    \else
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@maketitle
    \fi
    \thispagestyle{plain}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}
\def\@maketitle{%
  \newpage
  \null
  \vskip 2em%
  \begin{center}%
  \let \footnote \thanks
    {\LARGE \@title \par}%
    \vskip 1.5em%
    {\large
      \lineskip .5em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
    \vskip 1em%
    {\large \@date}%
  \end{center}%
  \par
  \vskip 1.5em}
\fi
\newcommand*\chaptermark[1]{}
\setcounter{secnumdepth}{2}
\newcounter {part}
\newcounter {chapter}
\newcounter {section}[chapter]
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand\thepart {\@arabic\c@part}
\renewcommand\thechapter {\@arabic\c@chapter}
\renewcommand\thesection {\thechapter\countersp\@arabic\c@section}
\renewcommand\thesubsection   {\thesection\countersp\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection\countersp\@arabic\c@subsubsection}
\renewcommand\theparagraph    {\thesubsubsection\countersp\@arabic\c@paragraph}
\renewcommand\thesubparagraph {\theparagraph\countersp\@arabic\c@subparagraph}
\newcommand\@chapapp{\chaptername}
\newcommand\part{%
  \if@openright
    \cleardoublepage
  \else
    \clearpage
  \fi
  \thispagestyle{plain}%
  \if@twocolumn
    \onecolumn
    \@tempswatrue
  \else
    \@tempswafalse
  \fi
  \null\vfil
  \secdef\@part\@spart}

\def\@part[#1]#2{%
    \ifnum \c@secnumdepth >-2\relax
      \refstepcounter{part}%
      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
    \else
      \addcontentsline{toc}{part}{#1}%
    \fi
    \markboth{}{}%
    {\centering
     \interlinepenalty \@M
     \normalfont
     \ifnum \c@secnumdepth >-2\relax
       \huge\bfseries \partname\nobreakspace\thepart
       \par
       \vskip 20\p@
     \fi
     \Huge \bfseries #2\par}%
    \@endpart}
\def\@spart#1{%
    {\centering
     \interlinepenalty \@M
     \normalfont
     \Huge \bfseries #1\par}%
    \@endpart}
\def\@endpart{\vfil\newpage
              \if@twoside
               \if@openright
                \null
                \thispagestyle{empty}%
                \newpage
               \fi
              \fi
              \if@tempswa
                \twocolumn
              \fi}
\newcommand\chapter{\if@openright\cleardoublepage\else\clearpage\fi
                    \thispagestyle{plain}%
                    \global\@topnum\z@
                    \@afterindentfalse
                    \secdef\@chapter\@schapter}
\def\@chapter[#1]#2{\ifnum \c@secnumdepth >\m@ne
                         \refstepcounter{chapter}%
                         \typeout{\@chapapp\space\thechapter.}%
                         \addcontentsline{toc}{chapter}%
                                   {\protect\numberline{\thechapter}#1}%
                    \else
                      \addcontentsline{toc}{chapter}{#1}%
                    \fi
                    \chaptermark{#1}%
                    \addtocontents{lof}{\protect\addvspace{10\p@}}%
                    \addtocontents{lot}{\protect\addvspace{10\p@}}%
                    \if@twocolumn
                      \@topnewpage[\@makechapterhead{#2}]%
                    \else
                      \@makechapterhead{#2}%
                      \@afterheading
                    \fi}
\def\@makechapterhead#1{%
  \vspace*{50\p@}%
  {\parindent \z@ \raggedright \normalfont
    \ifnum \c@secnumdepth >\m@ne
        \huge\bfseries \@chapapp\space \thechapter
        \par\nobreak
        \vskip 20\p@
    \fi
    \interlinepenalty\@M
    \Huge \bfseries #1\par\nobreak
    \vskip 40\p@
  }}
\def\@schapter#1{\if@twocolumn
                   \@topnewpage[\@makeschapterhead{#1}]%
                 \else
                   \@makeschapterhead{#1}%
                   \@afterheading
                 \fi}
\def\@makeschapterhead#1{%
  \vspace*{50\p@}%
  {\parindent \z@ \raggedright
    \normalfont
    \interlinepenalty\@M
    \Huge \bfseries  #1\par\nobreak
    \vskip 40\p@
  }}
\newcommand\section{\@startsection {section}{1}{\z@}%
                                   {-3.5ex \@plus -1ex \@minus -.2ex}%
                                   {2.3ex \@plus.2ex}%
                                   {\normalfont\Large\bfseries}}
\newcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\normalfont\large\bfseries}}
\newcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\normalfont\normalsize\bfseries}}
\newcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                                    {3.25ex \@plus1ex \@minus.2ex}%
                                    {-1em}%
                                    {\normalfont\normalsize\bfseries}}
\newcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
                                       {3.25ex \@plus1ex \@minus .2ex}%
                                       {-1em}%
                                      {\normalfont\normalsize\bfseries}}
\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.5em}
\fi
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}
\if@titlepage
  \newenvironment{abstract}{%
      \titlepage
      \null\vfil
      \@beginparpenalty\@lowpenalty
      \begin{center}%
        \bfseries \abstractname
        \@endparpenalty\@M
      \end{center}}%
     {\par\vfil\null\endtitlepage}
\else
  \newenvironment{abstract}{%
      \if@twocolumn
        \section*{\abstractname}%
      \else
        \small
        \begin{center}%
          {\bfseries \abstractname\vspace{-.5em}\vspace{\z@}}%
        \end{center}%
        \quotation
      \fi}
      {\if@twocolumn\else\endquotation\fi}
\fi
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\if@compatibility
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \newpage\centering
      \thispagestyle{empty}
      \parindent 0pt \parskip 10pt plus 1fil minus 1fil
      \singlespacing%
      \@normalsize\vbox to \vsize\bgroup\vbox to 9in\bgroup
      \setcounter{page}\z@
    }%
    {\par\kern 0pt\egroup\vss\egroup
     \if@restonecol\twocolumn \else \newpage \fi}
\else
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \newpage\centering
      \thispagestyle{empty}
      \parindent 0pt \parskip 10pt plus 1fil minus 1fil
      \singlespacing%
      \@normalsize\vbox to \vsize\bgroup\vbox to 9in\bgroup
      \setcounter{page}\@ne
    }%
    {\par\kern 0pt\egroup\vss\egroup
     \if@restonecol\twocolumn \else \newpage \fi
     \if@twoside\else
        \setcounter{page}\@ne
     \fi
    }
\fi
\newcommand\appendix{
  \backpagestyle
  \par
  \setcounter{chapter}{0}%
  \setcounter{section}{0}%
  \gdef\@chapapp{\appendixname}%
  \gdef\thechapter{\@Alph\c@chapter}}
\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\@addtoreset {equation}{chapter}
\renewcommand\theequation
  {\ifnum \c@chapter>\z@ \thechapter.\fi \@arabic\c@equation}
\newcounter{figure}[chapter]
\renewcommand \thefigure
     {\ifnum \c@chapter>\z@ \thechapter.\fi \@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename\nobreakspace\thefigure}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}[chapter]
\renewcommand \thetable
     {\ifnum \c@chapter>\z@ \thechapter.\fi \@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename\nobreakspace\thetable}
\newenvironment{table}
               {\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{#1: #2}%
  \ifdim \wd\@tempboxa >\hsize
    #1: #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{2}
\newcommand\tableofcontents{%
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \chapter*{\contentsname
        \@mkboth{%
           \MakeUppercase\contentsname}{}}%
    \@starttoc{toc}%
    \if@restonecol\twocolumn\fi
    \bodypagestyle
    }
\newcommand*\l@part[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty{-\@highpenalty}%
    \addvspace{2.25em \@plus\p@}%
    \setlength\@tempdima{3em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
       \nobreak
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}%
    \endgroup
  \fi}
\newcommand*\l@chapter[2]{%
  \ifnum \c@tocdepth >\m@ne
    \addpenalty{-\@highpenalty}%
    \vskip 1.0em \@plus\p@
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
      \penalty\@highpenalty
    \endgroup
  \fi}
\newcommand*\l@section{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand*\l@subsection{\@dottedtocline{2}{3.8em}{3.2em}}
\newcommand*\l@subsubsection{\@dottedtocline{3}{7.0em}{4.1em}}
\newcommand*\l@paragraph{\@dottedtocline{4}{10em}{5em}}
\newcommand*\l@subparagraph{\@dottedtocline{5}{12em}{6em}}
\newcommand\listoffigures{%
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \chapter*{\listfigurename}%
      \@mkboth{\MakeUppercase\listfigurename}{}%
    \@starttoc{lof}%
    \if@restonecol\twocolumn\fi
    }
\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand\listoftables{%
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \chapter*{\listtablename}%
      \@mkboth{\MakeUppercase\listtablename}{}%
    \@starttoc{lot}%
    \if@restonecol\twocolumn\fi
    }
\let\l@table\l@figure
\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}[1]
     {\chapter*{\bibname}%
      \@mkboth{\MakeUppercase\bibname}{}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty
\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \twocolumn[\@makeschapterhead{\indexname}]%
                \@mkboth{\MakeUppercase\indexname}{}%
                \thispagestyle{plain}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \columnseprule \z@
                \columnsep 35\p@
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule\@width.4\columnwidth
  \kern2.6\p@}
\@addtoreset{footnote}{chapter}
\newcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@1.8em{\hss\@makefnmark}#1}

\newcommand{\frontpagestyle}{
  \frontmatter
  \pagestyle{plain}
  \pagenumbering{harfi}
  \singlespacing}
\newcommand{\bodypagestyle}{
  \mainmatter
%   \pagestyle{utfancy}
  \pagenumbering{arabic}
  \doublespacing}
\newcommand{\backpagestyle}{
  \backmatter
%   \pagestyle{utfancy}
  \pagenumbering{arabic}
  \singlespacing}
\newenvironment{preface}{%
  \typeout{Preface page}
  \singlespacing
  \section*{\prefacename}
  \addcontentsline{toc}{chapter}{\prefacename}%
}%
{\par\null\clearpage}%
\newenvironment{acknowledge}{%
  \typeout{Acknowledgment page}
  \singlespacing
  \section*{\acknowledgename}
  \addcontentsline{toc}{chapter}{\acknowledgename}%
}%
{\par\null\clearpage}%
\newcommand{\sym}[2]{\ensuremath{#1} & #2 \\}
\newenvironment{symbols}[1][rl]{%
  \typeout{Symbols page}
  \chapter*{\symbolsname}%
  \addcontentsline{toc}{chapter}{\symbolsname}%
  \begin{center}\begin{longtable}{#1}}%
{\end{longtable}\end{center}\par\null}

\newcommand{\romantitle}[1]{\gdef\@romantitle{#1}}
\newcommand{\romanauthor}[1]{\gdef\@romanauthor{#1}}
\newcommand{\romandegree}[1]{\gdef\@romandegree{#1}}
\newcommand{\romandepartment}[1]{\gdef\@romandepartment{#1}}
\newcommand{\romanthesisdate}[1]{\gdef\@romanthesisdate{#1}}
\newcommand{\romansupervisor}[1]{\gdef\@romansupervisor{#1}}
\newcommand{\romancity}[1]{\gdef\@romancity{#1}}
\newcommand{\romanuniversity}[1]{\gdef\@romanuniversity{#1}}

\newcommand{\degree}[1]{\gdef\@degree{#1}}
\newcommand{\supervisor}[1]{\gdef\@supervisor{#1}}
\newcommand{\department}[1]{\gdef\@department{#1}}
\newcommand{\university}[1]{\gdef\@university{#1}}
\newcommand{\city}[1]{\gdef\@city{#1}}
\newcommand{\thesisdate}[1]{\def\@thesisdate{#1}}

\newcommand\contentsname{فهرست مطالب}
\newcommand\listfigurename{لیست شکل‌ها}
\newcommand\listtablename{لیست جدول‌ها}
\newcommand\bibname{مراجع}
\newcommand\indexname{نمایه}
\newcommand\symbolsname{نمادها}
\newcommand\figurename{شکل}
\newcommand\tablename{جدول}
\newcommand\partname{قسمت}
\newcommand\chaptername{فصل}
\newcommand\appendixname{پیوست}
\newcommand\abstractname{چکیده}
\newcommand\acknowledgementname{قدردانی}
\newcommand\prefacename{پیشگفتار}
\newcommand\dedicationname{\mbox{}}

\newenvironment{dedication}{%
  \global\diss@dedicationtrue
  \typeout{Dedication page}
  \ifpdf
      \pdfbookmark[0]{\dedicationname}{dedication}%dedication.0
  \fi
  \chapter*{\dedicationname}%
  \thispagestyle{empty}
  \null\centering}
{\par\null\clearpage}%

\newenvironment{abstractpage}{%
  \thispagestyle{empty}
  \setcounter{page}{0}
  \vskip 15mm
  \singlespacing
  \begin{center}{\large{\bf \@title} \\} \end{center}
  \par
  \small
  \begin{center}%
    {\bfseries \abstractname\vspace{-.5em}\vspace{\z@}}%
  \end{center}%
  \quotation}
{\endquotation\newpage}

\renewenvironment{abstract}{
  \subsection*{\abstractname}
  \small \@normalsize
  \singlespacing}
{\par}

\def\keywords#1{\par \vspace{5mm}
{\textbf{واژه‌های کلیدی:}} {\textit{ #1}}}

\newenvironment{romanabstract}{
  \newpage
  \thispagestyle{empty}
  \vskip 15mm
  \singlespacing
  \begin{center}{\Large\bf \@romantitle \\[5mm]}{\bf Abstract} \end{center}
  \vspace{5mm}
  \noindent
}
{\newpage}

\def\romankeywords#1{\par \vspace{5mm}
\noindent {\textbf{Keywords:}} {\textit{ #1}}}

\def\signature#1#2{\par\noindent#1\dotfill\null\\*
  {\raggedright #2\par}}

% \renewcommand{\maketitle}{
\def\maketitle{
  \begin{titlepage}
    {\includegraphics{logo}}
    \vskip 1.5cm
    {\Huge\bf \@title}\par
    \vskip 1cm
    {\large%
     \by}\par
    {\Large\bf \@author}\par
    \vskip 5mm
    {\large\bf\writtenfor
     \par
     \@degree}
    \par
    \vskip 1cm
    {\large
     \undersupervision\par
     \Large\bf \@supervisor}
     \par
     \vskip 1cm
    {\large \@thesisdate}
    \par
    \vskip 1cm
    {\large\bf\@department}
    \par
    {\large\bf\@university \par\@city}
    \vfill
  \end{titlepage}%
}

\newcommand{\makeromantitle}{
  \begin{titlepage}
    {\includegraphics{logo}}
    \vskip 1.5cm
    \addtolength{\baselineskip}{5mm}
    {\titlefont \@romantitle} \par
    \addtolength{\baselineskip}{-5mm}
    \vskip 1cm
    {\bf\romanby}\par
    {\Large\bf \@romanauthor}\par
    \vskip 5mm
    {\romanwrittenfor\par
    \large\@romandegree}
    \par
    \vskip 1cm
    \romanundersupervision \\
    {\supervisorfont\@romansupervisor}
    \par
    \vskip 1cm
    {\@romanthesisdate}
    \par
    \vskip 1cm
    \large\bf
    \@romandepartment
    \par
    \@romanuniversity \par\@romancity
    \vfill
  \end{titlepage}%
}

\font\titlefont=cmssbx10 scaled 2074
\font\supervisorfont=cmbxti10
\def\countersp{·}
\def\by{توسط}
\def\writtenfor{  رسالهٔ ارائه شده به عنوان بخشی از ملزومات برای دریافت درجهٔ}
\def\undersupervision{زیر نظر}
\def\romanby{by}
\def\romanwrittenfor{Submitted in Partial Fulfillment\\ of the Requirements\\ for the Degree of}
\def\romanundersupervision{Under supervision of}

  \RequirePackage[a4paper,bindingoffset=1cm]{geometry}
  \RequirePackage{xepersian}
%   \usepackage{fancyhdr}
%   \fancypagestyle{utfancy}{%
%    \fancyfoot[C]{\bf \thepage}
% }

   \settextfont[Scale=1]{XB Niloofar}
   \setromantextfont[Scale=1]{Liberation Serif}
   \setdigitfont[Scale=1]{XM Traffic}
   \setlength\columnsep{10\p@}
   \setlength\columnseprule{0\p@}
   \if@twoside
   \else
     \raggedbottom
   \fi
   \if@twocolumn
     \twocolumn
     \sloppy
     \flushbottom
   \else
     \onecolumn
   \fi
%\AtBeginDocument{
%   \frontpagestyle
   \university{دانشگاه تهران}
   \city{تهران}
   \romancity{Tehran}
   \romanuniversity{The University of Tehran}
%}

\endinput
