%% This file is ut-thesis.cls (Modified version of xepersian-thesis.cls)
%%
%% Copyright 2009 by Ali Katanforoush
%%
%%%% It may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version 1.3c
%% of this license or (at your option) any later version.
%%
%% This file is xepersian-thesis.cls (Modified version of report.cls)
%%
%% Copyright 2009 by Vafa Khalighi
%%
%%%% It may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version 1.3c
%% of this license or (at your option) any later version.
%%
%%
%% This is file `report.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% classes.dtx  (with options: `report')
%% 
%% This is a generated file.
%% 
%% Copyright 1993 1994 1995 1996 1997 1998 1999 2000 2001 2002 2003 2004 2005 2006
%% The LaTeX3 Project and any individual authors listed elsewhere
%% in this file.
%% 
%% This file was generated from file(s) of the LaTeX base system.
%% --------------------------------------------------------------
%% 
%% It may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version 1.3c
%% of this license or (at your option) any later version.
%% The latest version of this license is in
%%    http://www.latex-project.org/lppl.txt
%% and version 1.3c or later is part of all distributions of LaTeX
%% version 2005/12/01 or later.
%% 
%% This file has the LPPL maintenance status "maintained".
%% 
%% This file may only be distributed together with a copy of the LaTeX
%% base system. You may however distribute the LaTeX base system without
%% such generated files.
%% 
%% The list of all files belonging to the LaTeX base distribution is
%% given in the file `manifest.txt'. See also `legal.txt' for additional
%% information.
%% 
%% The list of derived (unpacked) files belonging to the distribution
%% and covered by LPPL is defined by the unpacking scripts (with
%% extension .ins) which are part of the distribution.
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{ut-thesis}
              [2009/06/16 v0.1
 The university of Tehran thesis document class in XeLaTeX (Author: Ali Katanforoush)]
\newcommand\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage
\newif\if@openright
\newif\if@includenatbib
\newif\if@persiancmds
\newcounter{bodymatterpart}
\newlength{\rightbindingoffset}
\setlength\rightbindingoffset{0mm}
\if@compatibility
  \renewcommand\@ptsize{0}
\else
\DeclareOption{10pt}{\renewcommand\@ptsize{0}}
\fi
\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
\DeclareOption{12pt}{\renewcommand\@ptsize{2}}
\if@compatibility\else
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\fi
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
%% ut attribute
\DeclareOption{press}{\setlength\overfullrule{0pt} \setlength\rightbindingoffset{5mm}}
%%%
\if@compatibility\else
\DeclareOption{persiancmds}{\@persiancmdstrue}
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\fi
\if@compatibility
\else
\DeclareOption{openright}{\@openrighttrue}
\DeclareOption{openany}{\@openrightfalse}
\fi
\if@compatibility\else
\DeclareOption{onecolumn}{\@twocolumnfalse}
\fi
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{natbib}{\@includenatbibtrue}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}
\ExecuteOptions{12pt,oneside,onecolumn,final,openany}
\ProcessOptions%
\input{size1\@ptsize.clo}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\RequirePackage{setspace}
%% Attribute of ut-thesis
 \renewcommand{\onehalfspacing}{\setstretch{1.5}}
 \renewcommand{\doublespacing}{\setstretch{2}}
%%%%
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}
\if@twoside
  \def\ps@headings{%
      \let\@oddfoot\@empty\let\@evenfoot\@empty
      \def\@evenhead{\rl\thepage\hfil\rl\leftmark}%
      \def\@oddhead{\rl\rightmark\hfil\rl\thepage}%
      \let\@mkboth\markboth
    \def\chaptermark##1{%
      \markboth {\MakeUppercase{%
        \ifnum \c@secnumdepth >\m@ne
            \rl{\@chapapp\ \thechapter\countersp \ }%
        \fi
        \rl{##1}}}{}}%
    \def\sectionmark##1{%
      \markright {\MakeUppercase{%
        \ifnum \c@secnumdepth >\z@
          \rl{\thesection\countersp \ }%
        \fi
        \rl{##1}}}}}
\else
  \def\ps@headings{%
    \let\@oddfoot\@empty
    \def\@oddhead{\rl\rightmark\hfil\rl\thepage}%
    \let\@mkboth\markboth
    \def\chaptermark##1{%
      \markright {\MakeUppercase{%
        \ifnum \c@secnumdepth >\m@ne
            \rl{\@chapapp\ \thechapter\countersp \ }%
        \fi
        \rl{##1}}}}}
\fi
\def\ps@myheadings{%
    \let\@oddfoot\@empty\let\@evenfoot\@empty
    \def\@evenhead{\rl\thepage\hfil\rl\leftmark}%
    \def\@oddhead{rl\rightmark\hfil\rl\thepage}%
    \let\@mkboth\@gobbletwo
    \let\chaptermark\@gobble
    \let\sectionmark\@gobble
    }
\newcommand*\chaptermark[1]{}
\setcounter{secnumdepth}{2}
\newcounter {part}
\newcounter {chapter}
\newcounter {section}[chapter]
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand\thepart {\@arabic\c@part}
\renewcommand\thechapter {\@arabic\c@chapter}
\renewcommand\thesection {\thechapter\countersp\@arabic\c@section}
\renewcommand\thesubsection   {\thesection\countersp\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection\countersp\@arabic\c@subsubsection}
\renewcommand\theparagraph    {\thesubsubsection\countersp\@arabic\c@paragraph}
\renewcommand\thesubparagraph {\theparagraph\countersp\@arabic\c@subparagraph}
\newcommand\@chapapp{\chaptername}
\newcommand\part{%
  \if@openright
    \cleardoublepage
  \else
    \clearpage
  \fi
  \thispagestyle{plain}%
  \if@twocolumn
    \onecolumn
    \@tempswatrue
  \else
    \@tempswafalse
  \fi
  \null\vfil
  \secdef\@part\@spart}
\def\@part[#1]#2{%
    \ifnum \c@secnumdepth >-2\relax
      \refstepcounter{part}%
      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
    \else
      \addcontentsline{toc}{part}{#1}%
    \fi
    \markboth{}{}%
    {\centering
     \interlinepenalty \@M
     \normalfont
     \ifnum \c@secnumdepth >-2\relax
       \huge\bfseries \partname\nobreakspace\thepart
       \par
       \vskip 20\p@
     \fi
     \Huge \bfseries #2\par}%
    \@endpart}
\def\@spart#1{%
    {\centering
     \interlinepenalty \@M
     \normalfont
     \Huge \bfseries #1\par}%
    \@endpart}
\def\@endpart{\vfil\newpage
              \if@twoside
               \if@openright
                \null
                \thispagestyle{empty}%
                \newpage
               \fi
              \fi
              \if@tempswa
                \twocolumn
              \fi}
\newcommand\chapter{\if@openright\cleardoublepage\else\clearpage\fi
                    \thispagestyle{plain}%
                    \global\@topnum\z@
                    \@afterindentfalse
                    \secdef\@chapter\@schapter}
\def\@chapter[#1]#2{%\mainmatter
                    \ifnum \c@secnumdepth >\m@ne
                         \refstepcounter{chapter}%
                         \typeout{\@chapapp\space\thechapter\countersp}%
                         \addcontentsline{toc}{chapter}%
                                   {\protect\numberline{\thechapter}#1}%
                    \else
                      \addcontentsline{toc}{chapter}{#1}%
                    \fi
                    \chaptermark{#1}%
                    \addtocontents{lof}{\protect\addvspace{10\p@}}%
                    \addtocontents{lot}{\protect\addvspace{10\p@}}%
                    \if@twocolumn
                      \@topnewpage[\@makechapterhead{#2}]%
                    \else
                      \@makechapterhead{#2}%
                      \@afterheading
                    \fi}
\def\@makechapterhead#1{%
  \vspace*{50\p@}%
  {\parindent \z@ \raggedleft \normalfont
    \ifnum \c@secnumdepth >\m@ne
        \huge\bfseries \@chapapp\space \thechapter
        \par\nobreak
        \vskip 20\p@
    \fi
    \interlinepenalty\@M
    \Huge \bfseries #1\par\nobreak
    \vskip 40\p@
  }}
\def\@schapter#1{\if@twocolumn
                   \@topnewpage[\@makeschapterhead{#1}]%
                 \else
                   \@makeschapterhead{#1}%
                   \@afterheading
                 \fi}
\def\@makeschapterhead#1{%
  \vspace*{50\p@}%
  {\parindent \z@ \raggedleft
    \normalfont
    \interlinepenalty\@M
    \Huge \bfseries  #1\par\nobreak
    \vskip 40\p@
  }}
\RequirePackage{fancyhdr}
\fancypagestyle{utfancy}{\fancyfoot[C]{\bf \thepage}}
\def\frontmatter{
\ifnum\c@bodymatterpart=1 \else
\cleardoublepage \pagenumbering{adadi}
\setcounter{page}\@ne \pagestyle{utfancy} \otherspacing
\setcounter{bodymatterpart}{1}\fi}
\def\mainmatter{
\ifnum\c@bodymatterpart=2 \else
\cleardoublepage \pagenumbering{arabic}
\setcounter{page}\@ne \pagestyle{utfancy} \doublespacing
\setcounter{bodymatterpart}{2}\fi}
\def\backmatter{
\ifnum\c@bodymatterpart=3 \else
\if@openright \cleardoublepage \else \clearpage\fi
\pagestyle{utfancy}\otherspacing
\setcounter{bodymatterpart}{3}\fi}
\newcommand\section{\@startsection {section}{1}{\z@}%
                                   {-3.5ex \@plus -1ex \@minus -.2ex}%
                                   {2.3ex \@plus.2ex}%
                                   {\normalfont\Large\bfseries}}
\newcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\normalfont\large\bfseries}}
\newcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\normalfont\normalsize\bfseries}}
\newcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                                    {3.25ex \@plus1ex \@minus.2ex}%
                                    {-1em}%
                                    {\normalfont\normalsize\bfseries}}
\newcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
                                       {3.25ex \@plus1ex \@minus .2ex}%
                                       {-1em}%
                                      {\normalfont\normalsize\bfseries}}
\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.5em}
\fi
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}
\if@titlepage
  \newenvironment{abstract}{%
      \titlepage
      \null\vfil
      \@beginparpenalty\@lowpenalty
      \begin{center}%
        \bfseries \abstractname
        \@endparpenalty\@M
      \end{center}}%
     {\par\vfil\null\endtitlepage}
\else
  \newenvironment{abstract}{%
      \if@twocolumn
        \section*{\abstractname}%
      \else
        \small
        \begin{center}%
          {\bfseries \abstractname\vspace{-.5em}\vspace{\z@}}%
        \end{center}%
        \quotation
      \fi}
      {\if@twocolumn\else\endquotation\fi}
\fi
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\if@compatibility
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\z@
    }%
    {\if@restonecol\twocolumn \else \newpage \fi}
\else
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\@ne
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
     \if@twoside\else
        \setcounter{page}\@ne
     \fi}
\fi
\newcommand\appendix{%\backmatter
  \par
  \setcounter{chapter}{0}%
  \setcounter{section}{0}%
  \gdef\@chapapp{}%
  \gdef\thechapter{\appendixname~\@Alph\c@chapter}}
\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\@addtoreset {equation}{chapter}
\renewcommand\theequation
  {\ifnum \c@chapter>\z@ \thechapter\countersp\fi \@arabic\c@equation}
\newcounter{figure}[chapter]
\renewcommand \thefigure
     {\ifnum \c@chapter>\z@ \thechapter\countersp\fi \@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename\nobreakspace\thefigure}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}[chapter]
\renewcommand \thetable
     {\ifnum \c@chapter>\z@ \thechapter\countersp\fi \@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename\nobreakspace\thetable}
\newenvironment{table}
               {\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{#1: #2}%
  \ifdim \wd\@tempboxa >\hsize
    #1: #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
\DeclareOldFontCommand{\rm}{\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{2}
\newcommand\tableofcontents{%
%     \frontmatter
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \chapter*{\contentsname
        \@mkboth{\MakeUppercase\contentsname}{}}
        \ifnum \c@page > 1%
         \addcontentsline{toc}{chapter}{\contentsname} \fi
    \@starttoc{toc}%
    \if@restonecol\twocolumn\fi\cleardoublepage
    }
\newcommand*\l@part[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty{-\@highpenalty}%
    \addvspace{2.25em \@plus\p@}%
    \setlength\@tempdima{3em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
       \nobreak
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}%
    \endgroup
  \fi}
\newcommand*\l@chapter[2]{%
  \ifnum \c@tocdepth >\m@ne
    \addpenalty{-\@highpenalty}%
    \vskip 1.0em \@plus\p@
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
      \penalty\@highpenalty
    \endgroup
  \fi}
\newcommand*\l@section{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand*\l@subsection{\@dottedtocline{2}{3.8em}{3.2em}}
\newcommand*\l@subsubsection{\@dottedtocline{3}{7.0em}{4.1em}}
\newcommand*\l@paragraph{\@dottedtocline{4}{10em}{5em}}
\newcommand*\l@subparagraph{\@dottedtocline{5}{12em}{6em}}
\newcommand\listoffigures{%
%     \frontmatter
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \thispagestyle{plain}
    \chapter*{\listfigurename\@mkboth{\MakeUppercase\listfigurename}{}}
    \addcontentsline{toc}{chapter}{\listfigurename}%
    \@starttoc{lof}%
    \if@restonecol\twocolumn\fi\cleardoublepage
    }
\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand\listoftables{%
%     \frontmatter
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \thispagestyle{plain}
    \chapter*{\listtablename\@mkboth{\MakeUppercase\listtablename}{}}
    \addcontentsline{toc}{chapter}{\listtablename}%
    \@starttoc{lot}%
    \if@restonecol\twocolumn\fi \cleardoublepage
    }
\let\l@table\l@figure
\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}[1]{%\backmatter
\singlespacing
\chapter*{\bibname}\addcontentsline{toc}{chapter}{\bibname}
\@mkboth{\MakeUppercase\bibname}{}%
\list{\@biblabel{\@arabic\c@enumiv}}%
  {\settowidth\labelwidth{\@biblabel{#1}}%
  \leftmargin\labelwidth
  \advance\leftmargin\labelsep
  \@openbib@code
  \usecounter{enumiv}%
  \let\p@enumiv\@empty
  \renewcommand\theenumiv{\@arabic\c@enumiv}}%
\sloppy
\clubpenalty4000
\@clubpenalty \clubpenalty
\widowpenalty4000%
\sfcode`\.\@m}
{\def\@noitemerr
{\@latex@warning{Empty `thebibliography' environment}}%
\endlist}
\if@includenatbib
\RequirePackage[square,numbers,comma,sort&compress]{natbib}
\renewcommand\bibsection{%\backmatter
\singlespacing
\chapter*{\bibname}\addcontentsline{toc}{chapter}{\bibname}
\@mkboth{\MakeUppercase\bibname}{}}
\fi
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty
\RequirePackage{makeidx}
\newenvironment{theindex}
               {%\backmatter
                \if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \twocolumn[\@makeschapterhead{\indexname}]%
                \addcontentsline{toc}{chapter}{\indexname}
                \thispagestyle{plain}\parindent\z@
                \@mkboth{\MakeUppercase\indexname}{}%
                \parskip\z@ \@plus .3\p@\relax
                \columnseprule \z@
                \columnsep 35\p@
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule\@width.4\columnwidth
  \kern2.6\p@}
\@addtoreset{footnote}{chapter}
\newcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@1.8em{\hss\@makefnmark}#1}

\RequirePackage[toc,nonumberlist]{glossaries}
\newdimen\fitwidth
\newglossarystyle{en-fa}{%
\renewenvironment{theglossary}{\markboth{\glossarytitle}{}}{}%
\renewcommand*{\glossaryheader}{}%
\renewcommand*{\glsgroupheading}[1]{}%
\renewcommand*{\glossaryentryfield}[5]{%
\settowidth{\fitwidth}{\lr{\@glstarget{glo:##1}{##2}}}%
\addtolength\fitwidth{-14.5cm}%
\lr{\@glstarget{glo:##1}{##2}} \hspace{2mm} \parbox[t]{-\fitwidth}{\setstretch{1} \raggedleft \rl{##3 \space ##5}}}%
\renewcommand*{\glsgroupskip}{\vspace*{\baselineskip}}}
\glossarystyle{en-fa}

\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
\setcounter{bodymatterpart}\z@
\doublespacing \pagestyle{plain} \pagenumbering{arabic}
\if@twoside
\else
  \raggedbottom
\fi
\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
\fi
\def\university#1{\gdef\@university{#1}}
\def\department#1{\gdef\@department{#1}}
\def\degree#1{\gdef\@degree{#1}}
\def\thesisdate#1{\gdef\@thesisdate{#1}}
\def\supervisor#1{\gdef\@supervisor{#1}}
\def\city#1{\gdef\@city{#1}}
\def\romantitle#1{\gdef\@romantitle{#1}}
\def\romanauthor#1{\gdef\@romanauthor{#1}}
\def\romandegree#1{\gdef\@romandegree{#1}}
\def\romandepartment#1{\gdef\@romandepartment{#1}}
\def\romanthesisdate#1{\gdef\@romanthesisdate{#1}}
\def\romansupervisor#1{\gdef\@romansupervisor{#1}}
\def\romancity#1{\gdef\@romancity{#1}}
\def\romanuniversity#1{\gdef\@romanuniversity{#1}}
%% Tacken from prettyref.sty
\def\newrefformat#1#2{%
  \@namedef{pr@#1}##1{#2}}
\newrefformat{eq}{رابطهٔ~\textup{(\ref{#1})}}
\newrefformat{lem}{لم~\ref{#1}}
\newrefformat{thm}{قضیهٔ~\ref{#1}}
\newrefformat{cha}{فصل~\ref{#1}}
\newrefformat{sec}{بخش~\ref{#1}}
\newrefformat{tab}{جدول~\ref{#1}}
\newrefformat{fig}{شکل~\ref{#1}}
\def\extref#1{\@extref#1:}
\def\@extref#1:#2:{%
  \expandafter\ifx\csname pr@#1\endcsname\relax%
    \PackageWarning{ut-thesis}{Reference format #1\space undefined}%
    \ref{#1:#2}%
  \else%
    \csname pr@#1\endcsname{#1:#2}%
  \fi%
}
%%%
\if@persiancmds
\def\لا#1{\lr{#1}}
\def\ریز{\tiny}
\def\کوچک{\small}
\def\بزرگ{\large}
\def\بزرگتر{\Large}
\def\ضخ{\bf}
\def\کج{\it}
\def\ماخذ#1{\cite{#1}}
\def\ماخذعد#1{\lr{\citep{#1}}}
\def\ماخذفا#1{\citet{#1}}
\def\ماخذلا#1{\lr{\citet{#1}}}
\def\نشان#1{\label{#1}}
\def\بند{\item}
\def\عنوان#1{\caption{#1}}
\def\شص#1{\pageref{#1}}
\def\شماره#1{\ref{#1}}
\def\در#1{\extref{#1}}
\def\رک#1{(\extref{#1})}
\def\پن#1{\footnote{#1}}
\def\لاپن#1{\Footnote{#1}}
\def\نمایه#1{\index{#1}}
\def\واژ#1{\gls{#1}}
\fi
\def\maketitle{\begin{titlepage}
\setcounter{page}\z@
\includegraphics{logo}
\par
\vskip 1cm
{\large\bf\@university \par\@city}
\par
{\large\bf\@department}
\vskip 1.5cm
{\Huge\bf \@title}\par
\vskip 2cm
{\large%
  \by}\par
{\Large\bf \@author}\par
\par
\vskip 1cm
{\large
  \undersupervision\par
\Large\bf \@supervisor}
\vskip 1cm
{\large\writtenfor
\par \Large \bf
\@degree}
\par
\vskip 1cm
{\large \@thesisdate}
\vfill
\end{titlepage}%\frontmatter
}

\def\abstractpage{%\frontmatter
\newpage
\thispagestyle{empty}\setcounter{page}\z@
\vskip 15mm
\begin{center}{\large{\bf \@title} \\}
\end{center}
\par
\begin{abstract}}
\def\endabstractpage{\end{abstract}\newpage}

\def\romanabstract{%\backmatter
\begin{roman}\newpage
\thispagestyle{empty}
\vskip 15mm
\begin{center}{\Large\bf \@romantitle \\[5mm]}
{\bf Abstract}
\end{center}
\vspace{5mm}}
\def\endromanabstract{\thispagestyle{empty}
\end{roman}\newpage}

\def\acknowledgementpage{%\frontmatter
\newpage
\thispagestyle{plain}
\centerline{\Large \bf\acknowledgementname} 
\vspace{1cm}
\par\noindent}
\def\endacknowledgementpage{\newpage}
\def\titlepage{\newpage\centering
  \thispagestyle{empty}
  \parindent 0pt \parskip 10pt plus 1fil minus 1fil
  \singlespacing\@normalsize\vbox to \vsize\bgroup\vbox to 9in\bgroup}
\def\endtitlepage{\par\kern 0pt\egroup\vss\egroup\newpage}

\def\signature#1#2{\par\noindent#1\dotfill\null\\*
  {\raggedright #2\par}}
\def\abstract{\subsection*{\abstractname}\small\@normalsize}
\def\endabstract{\par}
\newenvironment{preface}{%
  \typeout{Preface page}
  %\frontmatter
  \newpage
  \thispagestyle{plain}
  \vspace*{16mm}
  \section*{\prefacename\@mkboth{\MakeUppercase\prefacename}{}}
  \addcontentsline{toc}{chapter}{\prefacename}%
}{\par}
\newenvironment{acknowledge}{%
  \typeout{Acknowledgment page}
  \subsection*{\acknowledgementname}
}%
{\par\null\cleardoublepage}%
\newcommand{\sym}[2]{\ensuremath{#1} & #2 \\}
\newenvironment{symbols}[1][rl]{%
  \typeout{Symbols page}
  %\frontmatter
  \thispagestyle{plain}
  \chapter*{\symbolsname}%
  \addcontentsline{toc}{chapter}{\symbolsname}%
  \begin{center}\begin{longtable}{#1}}%
{\end{longtable}\end{center}\par\null}
\def\keywords#1{\par \vspace{5mm}
{\textbf{واژه‌های کلیدی:}} {\textit{ #1}}}
\def\romankeywords#1{\par \vspace{5mm}
\noindent {\textbf{Keywords:}} {\textit{ #1}}}
\font\titlefont=cmssbx10 scaled 2074
\font\supervisorfont=cmbxti10 scaled 1574
\def\makeromantitle{%\backmatter
\begin{roman}\begin{titlepage}
\vspace*{-25mm}
\includegraphics{logo}
{\large
\addtolength{\baselineskip}{5mm}
\par %\vskip 5mm
{\bf \@romanuniversity\\ \@romancity
\par\@romandepartment}
\par \vskip 14mm
{\titlefont \@romantitle} \par
\vskip 12mm
\romanby \\
{\Large\bf \@romanauthor}
\par \vskip 7mm
Under supervision of \\
{\supervisorfont \@romansupervisor}
\vskip 10mm
\addtolength{\baselineskip}{-5mm}
\romanwrittenfor
\par \vskip 5mm
{\bf \@romandegree}
\par
\vskip 1cm
\@romanthesisdate}
\vfill
\end{titlepage}
\end{roman}%
}

\RequirePackage{rotfloat}
\RequirePackage{xepersian}
\settextfont[Scale=1]{XB Niloofar}
\setromantextfont[Scale=1]{URW Palladio L}
\setdigitfont[Scale=1]{XB Zar}
\defromanfont\mono[Scale=0.8]{DejaVu Sans Mono}
\renewcommand\contentsname{فهرست مطالب}
\renewcommand\listfigurename{لیست شکل‌ها}
\renewcommand\listtablename{لیست جدول‌ها}
\renewcommand\bibname{مراجع}
\renewcommand\indexname{نمایه}
\renewcommand\figurename{شکل}
\renewcommand\tablename{جدول}
\renewcommand\partname{قسمت}
\renewcommand\chaptername{فصل}
\renewcommand\appendixname{پیوست}
\renewcommand\abstractname{چکیده}
\newcommand\acknowledgementname{قدردانی}
\newcommand\prefacename{پیشگفتار}
\newcommand\symbolsname{نمادها}
\def\romantoday{\lr{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}}
\def\today{\rl{\ftoday}}
%\RequirePackage[a4paper,includefoot,hmargin=3cm,top=3.5cm,bottom=2.5cm]{geometry}
\RequirePackage[a4paper,includeheadfoot,hmargin=3cm,top=3.5cm,bottom=2.5cm]{geometry}
\addtolength{\oddsidemargin}{-\rightbindingoffset}

\def\countersp{·}
\def\by{نگارش}
\def\writtenfor{  رسالهٔ ارائه شده به عنوان بخشی از ملزومات برای دریافت درجهٔ}
\def\undersupervision{زیر نظر}
\def\romanby{by}
\def\romanwrittenfor{A thesis submitted to the Graduate Studies Office\\In partial fulfillment of the requirements for\\ the degree of}
\def\romanundersupervision{Under supervision of}

\def\otherspacing{\onehalfspacing}
\university{دانشگاه تهران}
\romanuniversity{University of Tehran}
\city{}
\romancity{}
%% ut attribute
\bibliographystyle{unsrtnat}
%%%

\endinput
